> For the complete documentation index, see [llms.txt](https://docs.settlers-united.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.settlers-united.com/s4-lua-api-de/tutorials/code-snippets/round-and-modulo.md).

# Round & Modulo

## floorNumber

Mit der folgenden Methode könnt ihr aus einer Kommazahl wieder ein Integer machen.\
Leider ist im Siedler lua Math nicht angebunden, daher hier die eigene Floor Methode

```lua
function floorNumber(floatNumber)
    local stringmyValue = tostring(floatNumber)
    if strfind(stringmyValue, "(%.+)") ~= nil then
        local valuestring = strsub(stringmyValue, 1, strfind(stringmyValue, "(%.+)"))
        return tonumber(valuestring)
    else
        return floatNumber
    end
end
```

## round & mymod

Basierend auf floorNumber kannst du mit diesen Funktionen Zahlen runden, sowie mit Hilfe des [Modulo ](https://de.wikipedia.org/wiki/Division_mit_Rest#Modulo)Operators den Rest ausgeben lassen.

```lua
function round(num)
  return floorNumber(num+0.5)
end
function mymod(a,b)
  return round((a/b - floorNumber(a/b)) * b)
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.settlers-united.com/s4-lua-api-de/tutorials/code-snippets/round-and-modulo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
